Page Summary
-
The
firstAndThirdPartyAudiences.listmethod lists first and third party audiences. -
Results can be ordered by
firstAndThirdPartyAudienceId(default) ordisplayName. -
Query parameters can be used to filter results by
displayName, control page size, and specify the page token for pagination. -
The request body must be empty, and the response body contains a list of first and third party audiences and a
nextPageTokenfor pagination. -
This method requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Lists first and third party audiences.
The order is defined by the orderBy parameter.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/firstAndThirdPartyAudiences
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: |
filter |
Allows filtering by first and third party audience fields. Supported syntax:
Examples:
The length of this field should be no more than 500 characters. |
Union parameter accessor. Required. Identifies which DV360 entity the request is being made within. The LIST request will only return first and third party audience entities that are accessible to the DV360 entity identified within the accessor. accessor can be only one of the following: |
|
partnerId |
The ID of the partner that has access to the fetched first and third party audiences. |
advertiserId |
The ID of the advertiser that has access to the fetched first and third party audiences. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"firstAndThirdPartyAudiences": [
{
object ( |
| Fields | |
|---|---|
firstAndThirdPartyAudiences[] |
The list of first and third party audiences. Audience size properties will not be included. This list will be absent if empty. |
nextPageToken |
A token to retrieve the next page of results. Pass this value in the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.